import { ReactNode } from 'react';
import { INotificationMessage, ISteeringCommand } from '@orderingstack/ordering-types';
export interface OrderProviderProps {
    children: ReactNode;
    onWebsocketNotification?: (message: INotificationMessage) => void;
    onSteeringCommand?: (command: ISteeringCommand) => void;
}
export default function OrderProvider(props: OrderProviderProps): JSX.Element;
